Skip to main content
GET
/
v1
/
customers
/
{id}
/
licenses
List customer licenses
curl --request GET \
  --url https://api.creem.io/v1/customers/{id}/licenses \
  --header 'x-api-key: <api-key>'
{
  "items": [
    {
      "id": "<string>",
      "mode": "test",
      "object": "<string>",
      "product_id": "prod_abc123",
      "status": "active",
      "key": "ABC123-XYZ456-XYZ456-XYZ456",
      "activation": 5,
      "created_at": "2023-09-13T00:00:00Z",
      "activation_limit": 1,
      "expires_at": "2023-09-13T00:00:00Z",
      "instance": {
        "id": "<string>",
        "mode": "test",
        "object": "license-instance",
        "name": "My Customer License Instance",
        "status": "active",
        "created_at": "2023-09-13T00:00:00Z"
      }
    }
  ],
  "pagination": {
    "total_records": 0,
    "total_pages": 0,
    "current_page": 1,
    "next_page": 2,
    "prev_page": null
  }
}

Authorizations

x-api-key
string
header
required

API key for authentication. You can find your API key in the Creem dashboard under Settings > API Keys.

Path Parameters

id
string
required

The unique identifier of the customer

Query Parameters

page_number
number
default:1

The page number for pagination.

Example:

1

page_size
number
default:10

The number of items per page.

Example:

10

Response

Successfully retrieved customer licenses

items
object[]
required

List of license items

pagination
object
required

Pagination details for the list